org.wildfly.swarm.config.jmx

## Class ResolvedExposeModel<T extends ResolvedExposeModel<T>>

- java.lang.Object
- - org.wildfly.swarm.config.jmx.ResolvedExposeModel<T>

-     public class ResolvedExposeModel<T extends ResolvedExposeModel<T>>
      extends Object

  The configuration for exposing the 'resolved' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as their type in the underlying model. Reads return the resolved expression if used, or the raw value. You may not use expressions when writing attributes and setting operation parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolvedExposeModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `domainName()` The domain name to use for the 'resolved' model controller JMX facade in the MBeanServer.
    `T` | `domainName(String value)` The domain name to use for the 'resolved' model controller JMX facade in the MBeanServer.
    `String` | `getKey()`
    `Boolean` | `properPropertyFormat()` If false, PROPERTY type attributes are represented as a DMR string, this is the legacy behaviour.
    `T` | `properPropertyFormat(Boolean value)` If false, PROPERTY type attributes are represented as a DMR string, this is the legacy behaviour.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolvedExposeModel

          public ResolvedExposeModel()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### domainName

          public String domainName()

      The domain name to use for the 'resolved' model controller JMX facade in the MBeanServer.

    - #### domainName

          public T domainName(String value)

      The domain name to use for the 'resolved' model controller JMX facade in the MBeanServer.

    - #### properPropertyFormat

          public Boolean properPropertyFormat()

      If false, PROPERTY type attributes are represented as a DMR string, this is the legacy behaviour. If true, PROPERTY type attributes are represented by a composite type where the key is a string, and the value has the same type as the property in the underlying model.

    - #### properPropertyFormat

          public T properPropertyFormat(Boolean value)

      If false, PROPERTY type attributes are represented as a DMR string, this is the legacy behaviour. If true, PROPERTY type attributes are represented by a composite type where the key is a string, and the value has the same type as the property in the underlying model.

Copyright © 2018 JBoss by Red Hat. All rights reserved.